## rust-pango 0.5.0

=== Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Pango-1.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

not_bound: $(GIR) $(GIR_FILES)
	$(GIR) -m not_bound -c Gir.toml

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== debian/changelog ===
rust-pango (0.5.0-1) unstable; urgency=medium

  * Package pango 0.5.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Fri, 07 Dec 2018 19:32:02 -0800

=== debian/control ===
Source: rust-pango
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-glib-0.6+default-dev <!nocheck>,
 librust-glib-sys-0.7+default-dev <!nocheck>,
 librust-gobject-sys-0.7+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-sys-0.7+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pango]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pango
Homepage: http://gtk-rs.org/

Package: librust-pango-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-glib-0.6+default-dev,
 librust-glib-sys-0.7+default-dev,
 librust-gobject-sys-0.7+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-pango-sys-0.7+default-dev
Suggests:
 librust-pango+dox-dev (= ${binary:Version}),
 librust-pango+v1-31-dev (= ${binary:Version}),
 librust-pango+v1-32-dev (= ${binary:Version}),
 librust-pango+v1-32-4-dev (= ${binary:Version}),
 librust-pango+v1-34-dev (= ${binary:Version}),
 librust-pango+v1-36-7-dev (= ${binary:Version}),
 librust-pango+v1-38-dev (= ${binary:Version}),
 librust-pango+v1-42-dev (= ${binary:Version})
Provides:
 librust-pango+default-dev (= ${binary:Version}),
 librust-pango-0-dev (= ${binary:Version}),
 librust-pango-0+default-dev (= ${binary:Version}),
 librust-pango-0.5-dev (= ${binary:Version}),
 librust-pango-0.5+default-dev (= ${binary:Version}),
 librust-pango-0.5.0-dev (= ${binary:Version}),
 librust-pango-0.5.0+default-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - Rust source code
 This package contains the source for the Rust pango crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-pango+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-glib-0.6+dox-dev,
 librust-pango-sys-0.7+dox-dev
Provides:
 librust-pango-0+dox-dev (= ${binary:Version}),
 librust-pango-0.5+dox-dev (= ${binary:Version}),
 librust-pango-0.5.0+dox-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "dox"
 This metapackage enables feature dox for the Rust pango crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-pango+v1-31-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango-sys-0.7+v1-31-dev
Provides:
 librust-pango-0+v1-31-dev (= ${binary:Version}),
 librust-pango-0.5+v1-31-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-31-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_31"
 This metapackage enables feature v1_31 for the Rust pango crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-pango+v1-32-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango+v1-31-dev (= ${binary:Version}),
 librust-pango-sys-0.7+v1-32-dev
Provides:
 librust-pango-0+v1-32-dev (= ${binary:Version}),
 librust-pango-0.5+v1-32-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-32-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_32"
 This metapackage enables feature v1_32 for the Rust pango crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-pango+v1-32-4-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango+v1-32-dev (= ${binary:Version}),
 librust-pango-sys-0.7+v1-32-4-dev
Provides:
 librust-pango-0+v1-32-4-dev (= ${binary:Version}),
 librust-pango-0.5+v1-32-4-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-32-4-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_32_4"
 This metapackage enables feature v1_32_4 for the Rust pango crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-pango+v1-34-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango+v1-32-4-dev (= ${binary:Version}),
 librust-pango-sys-0.7+v1-34-dev
Provides:
 librust-pango-0+v1-34-dev (= ${binary:Version}),
 librust-pango-0.5+v1-34-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-34-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_34"
 This metapackage enables feature v1_34 for the Rust pango crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-pango+v1-36-7-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango+v1-34-dev (= ${binary:Version}),
 librust-pango-sys-0.7+v1-36-7-dev
Provides:
 librust-pango-0+v1-36-7-dev (= ${binary:Version}),
 librust-pango-0.5+v1-36-7-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-36-7-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_36_7"
 This metapackage enables feature v1_36_7 for the Rust pango crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-pango+v1-38-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango+v1-36-7-dev (= ${binary:Version}),
 librust-pango-sys-0.7+v1-38-dev
Provides:
 librust-pango+v1-40-dev (= ${binary:Version}),
 librust-pango-0+v1-38-dev (= ${binary:Version}),
 librust-pango-0+v1-40-dev (= ${binary:Version}),
 librust-pango-0.5+v1-38-dev (= ${binary:Version}),
 librust-pango-0.5+v1-40-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-38-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-40-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_38"
 This metapackage enables feature v1_38 for the Rust pango crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-pango+v1-42-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango+v1-40-dev (= ${binary:Version}),
 librust-pango-sys-0.7+v1-42-dev
Provides:
 librust-pango-0+v1-42-dev (= ${binary:Version}),
 librust-pango-0.5+v1-42-dev (= ${binary:Version}),
 librust-pango-0.5.0+v1-42-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_42"
 This metapackage enables feature v1_42 for the Rust pango crate, by pulling in
 any additional dependencies needed by that feature.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/pango-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/pango .*/crates/pango/@ANY_VERSION@/download

## rust-pango 0.7.0

=== debian/changelog ===
rust-pango (0.7.0-1) unstable; urgency=medium

  * Package pango 0.7.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 11 Aug 2019 12:34:15 +0200

=== debian/control ===
Source: rust-pango
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-glib-0.8+default-dev <!nocheck>,
 librust-glib-sys-0.9+default-dev <!nocheck>,
 librust-gobject-sys-0.9+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-sys-0.9+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pango]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pango
Homepage: http://gtk-rs.org/

Package: librust-pango-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-glib-0.8+default-dev,
 librust-glib-sys-0.9+default-dev,
 librust-gobject-sys-0.9+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-pango-sys-0.9+default-dev
Suggests:
 librust-pango+dox-dev (= ${binary:Version}),
 librust-pango+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-pango+v1-38-dev (= ${binary:Version}),
 librust-pango+v1-42-dev (= ${binary:Version})
Provides:
 librust-pango+default-dev (= ${binary:Version}),
 librust-pango-0-dev (= ${binary:Version}),
 librust-pango-0+default-dev (= ${binary:Version}),
 librust-pango-0.7-dev (= ${binary:Version}),
 librust-pango-0.7+default-dev (= ${binary:Version}),
 librust-pango-0.7.0-dev (= ${binary:Version}),
 librust-pango-0.7.0+default-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - Rust source code
 This package contains the source for the Rust pango crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-pango+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-glib-0.8+dox-dev,
 librust-pango-sys-0.9+dox-dev
Provides:
 librust-pango-0+dox-dev (= ${binary:Version}),
 librust-pango-0.7+dox-dev (= ${binary:Version}),
 librust-pango-0.7.0+dox-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "dox"
 This metapackage enables feature "dox" for the Rust pango crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-pango+embed-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-pango+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-pango+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0.7+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0.7+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0.7+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0.7.0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0.7.0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-pango-0.7.0+purge-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "embed-lgpl-docs" and 2 more
 This metapackage enables feature "embed-lgpl-docs" for the Rust pango crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "gtk-rs-lgpl-docs", and "purge-
 lgpl-docs" features.

Package: librust-pango+v1-38-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango-sys-0.9+v1-38-dev
Provides:
 librust-pango+v1-40-dev (= ${binary:Version}),
 librust-pango-0+v1-38-dev (= ${binary:Version}),
 librust-pango-0+v1-40-dev (= ${binary:Version}),
 librust-pango-0.7+v1-38-dev (= ${binary:Version}),
 librust-pango-0.7+v1-40-dev (= ${binary:Version}),
 librust-pango-0.7.0+v1-38-dev (= ${binary:Version}),
 librust-pango-0.7.0+v1-40-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_38" and 1 more
 This metapackage enables feature "v1_38" for the Rust pango crate, by pulling
 in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "v1_40" feature.

Package: librust-pango+v1-42-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pango-dev (= ${binary:Version}),
 librust-pango+v1-40-dev (= ${binary:Version}),
 librust-pango-sys-0.9+v1-42-dev
Provides:
 librust-pango-0+v1-42-dev (= ${binary:Version}),
 librust-pango-0.7+v1-42-dev (= ${binary:Version}),
 librust-pango-0.7.0+v1-42-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - feature "v1_42"
 This metapackage enables feature "v1_42" for the Rust pango crate, by pulling
 in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.7.0 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.7.0 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-pango-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.7.0 --all-targets --features dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-pango+dox-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.7.0 --all-targets --features embed-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-pango+embed-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.7.0 --all-targets --features v1_38
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-pango+v1-38-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.7.0 --all-targets --features v1_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-pango+v1-42-dev
Restrictions: allow-stderr, skip-not-installable

## rust-pango 0.14.8

=== debian/changelog ===
rust-pango (0.14.8-1) unstable; urgency=medium

  * Team upload.
  * Package pango 0.14.8 from crates.io using debcargo 2.5.0 (Closes: 1002126)

  [ Henry-Nicolas Tourneur ]
  * Package pango 0.14.8 from crates.io using debcargo 2.4.4

 -- Peter Michael Green <plugwash@debian.org>  Tue, 28 Dec 2021 21:50:36 +0000

=== debian/control ===
Source: rust-pango
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-glib-0.14+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-pango-sys-0.14+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pango]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pango
Homepage: https://gtk-rs.org/
Rules-Requires-Root: no

Package: librust-pango-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-glib-0.14+default-dev,
 librust-glib-0.14+dox-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-pango-sys-0.14+default-dev,
 librust-pango-sys-0.14+dox-dev,
 librust-pango-sys-0.14+v1-42-dev,
 librust-pango-sys-0.14+v1-44-dev,
 librust-pango-sys-0.14+v1-46-dev
Provides:
 librust-pango+default-dev (= ${binary:Version}),
 librust-pango+dox-dev (= ${binary:Version}),
 librust-pango+v1-40-dev (= ${binary:Version}),
 librust-pango+v1-42-dev (= ${binary:Version}),
 librust-pango+v1-44-dev (= ${binary:Version}),
 librust-pango+v1-46-dev (= ${binary:Version}),
 librust-pango-0-dev (= ${binary:Version}),
 librust-pango-0+default-dev (= ${binary:Version}),
 librust-pango-0+dox-dev (= ${binary:Version}),
 librust-pango-0+v1-40-dev (= ${binary:Version}),
 librust-pango-0+v1-42-dev (= ${binary:Version}),
 librust-pango-0+v1-44-dev (= ${binary:Version}),
 librust-pango-0+v1-46-dev (= ${binary:Version}),
 librust-pango-0.14-dev (= ${binary:Version}),
 librust-pango-0.14+default-dev (= ${binary:Version}),
 librust-pango-0.14+dox-dev (= ${binary:Version}),
 librust-pango-0.14+v1-40-dev (= ${binary:Version}),
 librust-pango-0.14+v1-42-dev (= ${binary:Version}),
 librust-pango-0.14+v1-44-dev (= ${binary:Version}),
 librust-pango-0.14+v1-46-dev (= ${binary:Version}),
 librust-pango-0.14.8-dev (= ${binary:Version}),
 librust-pango-0.14.8+default-dev (= ${binary:Version}),
 librust-pango-0.14.8+dox-dev (= ${binary:Version}),
 librust-pango-0.14.8+v1-40-dev (= ${binary:Version}),
 librust-pango-0.14.8+v1-42-dev (= ${binary:Version}),
 librust-pango-0.14.8+v1-44-dev (= ${binary:Version}),
 librust-pango-0.14.8+v1-46-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - Rust source code
 This package contains the source for the Rust pango crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets --all-features
Features: test-name=rust-pango:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets 
Features: test-name=librust-pango-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets --no-default-features --features dox
Features: test-name=librust-pango-dev:dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets --no-default-features --features v1_40
Features: test-name=librust-pango-dev:v1_40
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets --no-default-features --features v1_42
Features: test-name=librust-pango-dev:v1_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets --no-default-features --features v1_44
Features: test-name=librust-pango-dev:v1_44
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets --no-default-features --features v1_46
Features: test-name=librust-pango-dev:v1_46
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.14.8 --all-targets --no-default-features
Features: test-name=librust-pango-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/pango-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/pango .*/crates/pango/@ANY_VERSION@/download

## rust-pango 0.16.5

=== debian/changelog ===
rust-pango (0.16.5-2) unstable; urgency=medium

  * Package pango 0.16.5 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 20:58:36 +0200

rust-pango (0.16.5-1) experimental; urgency=medium

  * Package pango 0.16.5 from crates.io using debcargo 2.6.0
  * Added myself to uploaders
  * Marked tests as broken in debcargo.toml

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 15:11:28 +0200

=== debian/control ===
Source: rust-pango
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-gio-0.16+default-dev <!nocheck>,
 librust-glib-0.16+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-pango-sys-0.16+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>,
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pango]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pango
Homepage: https://gtk-rs.org/
X-Cargo-Crate: pango
Rules-Requires-Root: no

Package: librust-pango-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-gio-0.16+default-dev,
 librust-gio-0.16+dox-dev,
 librust-glib-0.16+default-dev,
 librust-glib-0.16+dox-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-pango-sys-0.16+default-dev,
 librust-pango-sys-0.16+dox-dev,
 librust-pango-sys-0.16+v1-42-dev,
 librust-pango-sys-0.16+v1-44-dev,
 librust-pango-sys-0.16+v1-46-dev,
 librust-pango-sys-0.16+v1-48-dev,
 librust-pango-sys-0.16+v1-50-dev,
 librust-pango-sys-0.16+v1-52-dev
Provides:
 librust-pango+default-dev (= ${binary:Version}),
 librust-pango+dox-dev (= ${binary:Version}),
 librust-pango+v1-42-dev (= ${binary:Version}),
 librust-pango+v1-44-dev (= ${binary:Version}),
 librust-pango+v1-46-dev (= ${binary:Version}),
 librust-pango+v1-48-dev (= ${binary:Version}),
 librust-pango+v1-50-dev (= ${binary:Version}),
 librust-pango+v1-52-dev (= ${binary:Version}),
 librust-pango-0-dev (= ${binary:Version}),
 librust-pango-0+default-dev (= ${binary:Version}),
 librust-pango-0+dox-dev (= ${binary:Version}),
 librust-pango-0+v1-42-dev (= ${binary:Version}),
 librust-pango-0+v1-44-dev (= ${binary:Version}),
 librust-pango-0+v1-46-dev (= ${binary:Version}),
 librust-pango-0+v1-48-dev (= ${binary:Version}),
 librust-pango-0+v1-50-dev (= ${binary:Version}),
 librust-pango-0+v1-52-dev (= ${binary:Version}),
 librust-pango-0.16-dev (= ${binary:Version}),
 librust-pango-0.16+default-dev (= ${binary:Version}),
 librust-pango-0.16+dox-dev (= ${binary:Version}),
 librust-pango-0.16+v1-42-dev (= ${binary:Version}),
 librust-pango-0.16+v1-44-dev (= ${binary:Version}),
 librust-pango-0.16+v1-46-dev (= ${binary:Version}),
 librust-pango-0.16+v1-48-dev (= ${binary:Version}),
 librust-pango-0.16+v1-50-dev (= ${binary:Version}),
 librust-pango-0.16+v1-52-dev (= ${binary:Version}),
 librust-pango-0.16.5-dev (= ${binary:Version}),
 librust-pango-0.16.5+default-dev (= ${binary:Version}),
 librust-pango-0.16.5+dox-dev (= ${binary:Version}),
 librust-pango-0.16.5+v1-42-dev (= ${binary:Version}),
 librust-pango-0.16.5+v1-44-dev (= ${binary:Version}),
 librust-pango-0.16.5+v1-46-dev (= ${binary:Version}),
 librust-pango-0.16.5+v1-48-dev (= ${binary:Version}),
 librust-pango-0.16.5+v1-50-dev (= ${binary:Version}),
 librust-pango-0.16.5+v1-52-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - Rust source code
 This package contains the source for the Rust pango crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --all-features
Features: test-name=rust-pango:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets
Features: test-name=librust-pango-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features --features dox
Features: test-name=librust-pango-dev:dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features --features v1_42
Features: test-name=librust-pango-dev:v1_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features --features v1_44
Features: test-name=librust-pango-dev:v1_44
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features --features v1_46
Features: test-name=librust-pango-dev:v1_46
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features --features v1_48
Features: test-name=librust-pango-dev:v1_48
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features --features v1_50
Features: test-name=librust-pango-dev:v1_50
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features --features v1_52
Features: test-name=librust-pango-dev:v1_52
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.16.5 --all-targets --no-default-features
Features: test-name=librust-pango-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-pango 0.17.10

=== debian/changelog ===
rust-pango (0.17.10-1) unstable; urgency=medium

  * Package pango 0.17.10 from crates.io using debcargo 2.6.0
  * Removed inactive uploader, added my new mail address
  * Added relax-gir-dep.diff to enable tests

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 02 Aug 2023 00:19:25 +0200

=== debian/control ===
Source: rust-pango
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-gio-0.17+default-dev <!nocheck>,
 librust-glib-0.17+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-pango-sys-0.17+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pango]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pango
Homepage: https://gtk-rs.org/
X-Cargo-Crate: pango
Rules-Requires-Root: no

Package: librust-pango-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-gio-0.17+default-dev,
 librust-glib-0.17+default-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-pango-sys-0.17+default-dev,
 librust-pango-sys-0.17+v1-42-dev,
 librust-pango-sys-0.17+v1-44-dev,
 librust-pango-sys-0.17+v1-46-dev,
 librust-pango-sys-0.17+v1-48-dev,
 librust-pango-sys-0.17+v1-50-dev,
 librust-pango-sys-0.17+v1-52-dev
Provides:
 librust-pango+default-dev (= ${binary:Version}),
 librust-pango+v1-42-dev (= ${binary:Version}),
 librust-pango+v1-44-dev (= ${binary:Version}),
 librust-pango+v1-46-dev (= ${binary:Version}),
 librust-pango+v1-48-dev (= ${binary:Version}),
 librust-pango+v1-50-dev (= ${binary:Version}),
 librust-pango+v1-52-dev (= ${binary:Version}),
 librust-pango-0-dev (= ${binary:Version}),
 librust-pango-0+default-dev (= ${binary:Version}),
 librust-pango-0+v1-42-dev (= ${binary:Version}),
 librust-pango-0+v1-44-dev (= ${binary:Version}),
 librust-pango-0+v1-46-dev (= ${binary:Version}),
 librust-pango-0+v1-48-dev (= ${binary:Version}),
 librust-pango-0+v1-50-dev (= ${binary:Version}),
 librust-pango-0+v1-52-dev (= ${binary:Version}),
 librust-pango-0.17-dev (= ${binary:Version}),
 librust-pango-0.17+default-dev (= ${binary:Version}),
 librust-pango-0.17+v1-42-dev (= ${binary:Version}),
 librust-pango-0.17+v1-44-dev (= ${binary:Version}),
 librust-pango-0.17+v1-46-dev (= ${binary:Version}),
 librust-pango-0.17+v1-48-dev (= ${binary:Version}),
 librust-pango-0.17+v1-50-dev (= ${binary:Version}),
 librust-pango-0.17+v1-52-dev (= ${binary:Version}),
 librust-pango-0.17.10-dev (= ${binary:Version}),
 librust-pango-0.17.10+default-dev (= ${binary:Version}),
 librust-pango-0.17.10+v1-42-dev (= ${binary:Version}),
 librust-pango-0.17.10+v1-44-dev (= ${binary:Version}),
 librust-pango-0.17.10+v1-46-dev (= ${binary:Version}),
 librust-pango-0.17.10+v1-48-dev (= ${binary:Version}),
 librust-pango-0.17.10+v1-50-dev (= ${binary:Version}),
 librust-pango-0.17.10+v1-52-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - Rust source code
 This package contains the source for the Rust pango crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --all-features
Features: test-name=rust-pango:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets
Features: test-name=librust-pango-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --no-default-features --features v1_42
Features: test-name=librust-pango-dev:v1_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --no-default-features --features v1_44
Features: test-name=librust-pango-dev:v1_44
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --no-default-features --features v1_46
Features: test-name=librust-pango-dev:v1_46
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --no-default-features --features v1_48
Features: test-name=librust-pango-dev:v1_48
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --no-default-features --features v1_50
Features: test-name=librust-pango-dev:v1_50
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --no-default-features --features v1_52
Features: test-name=librust-pango-dev:v1_52
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.17.10 --all-targets --no-default-features
Features: test-name=librust-pango-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-pango 0.18.0

=== debian/changelog ===
rust-pango (0.18.0-4) unstable; urgency=medium

  * Team upload
  * Package pango 0.18.0 from crates.io using debcargo 2.6.0
  * Stop marking pango 1.52 test as flaky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Oct 2023 13:18:48 -0400

rust-pango (0.18.0-3) unstable; urgency=medium

  * Team upload
  * Package pango 0.18.0 from crates.io using debcargo 2.6.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Sep 2023 15:37:06 -0400

rust-pango (0.18.0-2) experimental; urgency=medium

  * Specify dependency on rustc 1.70

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 16 Sep 2023 12:59:09 +0200

rust-pango (0.18.0-1) experimental; urgency=medium

  * Package pango 0.18.0 from crates.io using debcargo 2.6.0
  * Regenerate source code with debian tools before build
  * Rebased patches

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 15 Sep 2023 22:56:59 +0200

=== debian/control ===
Source: rust-pango
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gio-0.18+default-dev <!nocheck>,
 librust-glib-0.18+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-pango-sys-0.18+default-dev <!nocheck>,
 libpango1.0-dev <!nocheck>,
 libgirepository1.0-dev <!nocheck>,
 libharfbuzz-dev <!nocheck>,
 gir-rust-code-generator <!nocheck>,
 xmlstarlet <!nocheck>,
 rustc (>= 1.70) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pango]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pango
Homepage: https://gtk-rs.org/
X-Cargo-Crate: pango
Rules-Requires-Root: no

Package: librust-pango-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-0.18+default-dev,
 librust-glib-0.18+default-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-pango-sys-0.18+default-dev,
 librust-pango-sys-0.18+v1-42-dev,
 librust-pango-sys-0.18+v1-44-dev,
 librust-pango-sys-0.18+v1-46-dev,
 librust-pango-sys-0.18+v1-48-dev,
 librust-pango-sys-0.18+v1-50-dev,
 librust-pango-sys-0.18+v1-52-dev,
 libpango1.0-dev,
 libgirepository1.0-dev,
 libharfbuzz-dev,
 gir-rust-code-generator,
 xmlstarlet,
 rustc (>= 1.70)
Provides:
 librust-pango+default-dev (= ${binary:Version}),
 librust-pango+v1-42-dev (= ${binary:Version}),
 librust-pango+v1-44-dev (= ${binary:Version}),
 librust-pango+v1-46-dev (= ${binary:Version}),
 librust-pango+v1-48-dev (= ${binary:Version}),
 librust-pango+v1-50-dev (= ${binary:Version}),
 librust-pango+v1-52-dev (= ${binary:Version}),
 librust-pango-0-dev (= ${binary:Version}),
 librust-pango-0+default-dev (= ${binary:Version}),
 librust-pango-0+v1-42-dev (= ${binary:Version}),
 librust-pango-0+v1-44-dev (= ${binary:Version}),
 librust-pango-0+v1-46-dev (= ${binary:Version}),
 librust-pango-0+v1-48-dev (= ${binary:Version}),
 librust-pango-0+v1-50-dev (= ${binary:Version}),
 librust-pango-0+v1-52-dev (= ${binary:Version}),
 librust-pango-0.18-dev (= ${binary:Version}),
 librust-pango-0.18+default-dev (= ${binary:Version}),
 librust-pango-0.18+v1-42-dev (= ${binary:Version}),
 librust-pango-0.18+v1-44-dev (= ${binary:Version}),
 librust-pango-0.18+v1-46-dev (= ${binary:Version}),
 librust-pango-0.18+v1-48-dev (= ${binary:Version}),
 librust-pango-0.18+v1-50-dev (= ${binary:Version}),
 librust-pango-0.18+v1-52-dev (= ${binary:Version}),
 librust-pango-0.18.0-dev (= ${binary:Version}),
 librust-pango-0.18.0+default-dev (= ${binary:Version}),
 librust-pango-0.18.0+v1-42-dev (= ${binary:Version}),
 librust-pango-0.18.0+v1-44-dev (= ${binary:Version}),
 librust-pango-0.18.0+v1-46-dev (= ${binary:Version}),
 librust-pango-0.18.0+v1-48-dev (= ${binary:Version}),
 librust-pango-0.18.0+v1-50-dev (= ${binary:Version}),
 librust-pango-0.18.0+v1-52-dev (= ${binary:Version})
Description: Rust bindings for the Pango library - Rust source code
 This package contains the source for the Rust pango crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem cargo

# regenerating the source code
# the xmlstarlet fixes are taken from upstream here: https://github.com/gtk-rs/gir-files/blob/master/fix.sh
execute_before_dh_auto_build:
	cp /usr/share/gir-1.0/GLib-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/GObject-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/Pango-1.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/Gio-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/HarfBuzz-0.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/freetype2-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/cairo-1.0.gir $(CURDIR)
	xmlstarlet ed -L \
	-d '///_:alias[@name="Int32"]' \
	freetype2-2.0.gir
	xmlstarlet ed -L \
	-u '//*[@glib:error-domain="g-option-context-error-quark"]/@glib:error-domain' -v g-option-error-quark \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_boolean_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gboolean*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_double_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gdouble*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_integer_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gint*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_locale_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	GLib-2.0.gir
	xmlstarlet ed -L \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="values"]/_:array/@c:type' -v "GValue*" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="names"]/_:array/@c:type' -v "const char**" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-i '//_:interface[@name="TypePlugin" and not(@glib:type-struct)]' -t 'attr' -n 'glib:type-struct' -v 'TypePluginClass' \
	-i '//_:record[@name="TypePluginClass" and not(@glib:is-gtype-struct-for)]' -t 'attr' -n 'glib:is-gtype-struct-for' -v 'TypePlugin' \
	GObject-2.0.gir
	xmlstarlet ed -L \
	-i '///_:type[not(@name) and @c:type="hb_font_t*"]' -t 'attr' -n 'name' -v "gconstpointer" \
	-u '//_:type[@c:type="hb_font_t*"]/@c:type' -v "gconstpointer" \
	-i '///_:array[not(@name) and @c:type="hb_feature_t*"]' -t 'attr' -n 'name' -v "gconstpointer" \
	-r '///_:array[@c:type="hb_feature_t*"]' -v "type" \
	-d '//_:type[@c:type="hb_feature_t*"]/*' \
	-d '//_:type[@c:type="hb_feature_t*"]/@length' \
	-d '//_:type[@c:type="hb_feature_t*"]/@zero-terminated' \
	-u '//_:type[@c:type="hb_feature_t*"]/@c:type' -v "gconstpointer" \
	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field/@bits' \
	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field[@name="is_color"]' \
	Pango-1.0.gir
	xmlstarlet ed -L \
	-d '///_:function[@c:identifier="hb_graphite2_face_get_gr_face"]' \
	-d '///_:function[@c:identifier="hb_graphite2_font_get_gr_font"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create_cached"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create_referenced"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create_cached"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create_referenced"]' \
	-d '///_:function[@c:identifier="hb_ft_font_get_face"]' \
	-d '///_:function[@c:identifier="hb_ft_font_lock_face"]' \
	HarfBuzz-0.0.gir
	sed -i 's/girs_directories\s=\s\[\"\.\.\/gir-files\"\]/girs_directories=\[\".\"\]/' $(CURDIR)/Gir.toml
	gir -o .

# Remove the .gir file before install
execute_before_dh_auto_install:
	rm $(CURDIR)/*.gir

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --all-features
Features: test-name=rust-pango:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets
Features: test-name=librust-pango-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --no-default-features --features v1_42
Features: test-name=librust-pango-dev:v1_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --no-default-features --features v1_44
Features: test-name=librust-pango-dev:v1_44
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --no-default-features --features v1_46
Features: test-name=librust-pango-dev:v1_46
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --no-default-features --features v1_48
Features: test-name=librust-pango-dev:v1_48
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --no-default-features --features v1_50
Features: test-name=librust-pango-dev:v1_50
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --no-default-features --features v1_52
Features: test-name=librust-pango-dev:v1_52
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pango 0.18.0 --all-targets --no-default-features
Features: test-name=librust-pango-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable
